#include <tads.h>

/*
 * An XTads test game.
 * Banner whose contents overflow size, and banner is configured for more prompts.
 */
main(args)
{
	local b0 = nil;
    
    "A banner test game for XTads.\b\b";

    local b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignTop,
                       5, BannerSizeAbsolute,
                       BannerStyleMoreMode);
    for (local i = 1; i <= 19; i++) {
    	  if ((i % 2) == 1) {
	        bannerSay(b1, 'line' + i + '<br>');
	     } else {
	        bannerSay(b1, '<br>');
	     }
    }

    "\bPress another key to exit...\n";
    inputKey();
}
